Add a progress note
curl --request POST \
--url https://api.hi-doctor.ai/v1/users/journal/notes/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Energy is improving and walks feel easier.",
"mood": 4,
"entry_date": "2026-07-29"
}
'import requests
url = "https://api.hi-doctor.ai/v1/users/journal/notes/"
payload = {
"content": "Energy is improving and walks feel easier.",
"mood": 4,
"entry_date": "2026-07-29"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Energy is improving and walks feel easier.',
mood: 4,
entry_date: '2026-07-29'
})
};
fetch('https://api.hi-doctor.ai/v1/users/journal/notes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000007",
"created_at": "2026-08-02T11:43:49.843621Z",
"updated_at": "2026-08-02T11:43:49.843623Z",
"content": "Energy is improving and walks feel easier.",
"mood": 4,
"entry_date": "2026-07-29"
}{
"mood": [
"Ensure this value is less than or equal to 5."
]
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}Progress
Add a progress note
Appends — every call creates a separate entry, including for the same day. mood is an integer from 1 to 5.
POST
/
v1
/
users
/
journal
/
notes
/
Add a progress note
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I